function fout = melting(x_rel,n_diff,parameters)
%fout = melting(x_rel,n_diff,parameters)
%   scaled basal melt rate under ice shelf as a function of position x
%   input arguments:
%       x_rel:  position relative to grounding line
%       n_diff: differentiation level, must admit choices n_diff = 0,1,2
%           with n_diff = 0 signifying the accumulation rate itself, n_diff
%           its first derivative etc.
%       parameters: the parameters.model structure passed to
%       outlet_constraint
%   output argument:
%       fout: the scaled melt rate

switch n_diff
    case 0
        fout = 1;
    otherwise
        fout = 0;
end


end

